#!/bin/sh

src=$(dirname "$(realpath "$0")")
backup=/home/root/backup-cutmark.tar.gz
title="Cut mark"

if test -f $backup; then
  echo "Extracting backup..."
  cd /
  tar -xzf $backup
  rm $backup
  echo "$title removed."
else
  echo "Creating backup..."
  cd $src
  files=$(find usr -type f)
  cd /
  tar -czf $backup $files

  echo "Copying files..."
  rm /usr/bin/enigma2
  cp -R $src/usr/* /usr

  echo "$title installed."
fi
